# Store

Store

## Get all numberseries

> List all numberseries for a tenant.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"numberSeriesTypeQuery":{"description":"The number series type","in":"query","name":"numberSeriesType","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"NumberSeriesResponseSchema":{"properties":{"currentValue":{"type":"integer"},"end":{"type":"integer"},"name":{"type":"string"},"numberSeriesUid":{"$ref":"#/components/schemas/UID"},"start":{"type":"integer"},"type":{"$ref":"#/components/schemas/NumberSeriesTypeENUM"}},"required":["numberSeriesUid","name","type","currentValue","end","start"],"title":"NumberSeriesResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"NumberSeriesTypeENUM":{"enum":["PURCHASE","VOUCHER","SERVICE","INTERNAL_PURCHASE","RMA_ORDER","CUSTOMER_LEDGER"],"title":"NumberSeriesTypeENUM","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"NumberSeriesListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/NumberSeriesResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/number-series":{"get":{"description":"List all numberseries for a tenant.","operationId":"get-tenants-number-series","parameters":[{"$ref":"#/components/parameters/numberSeriesTypeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/NumberSeriesListResponse"}},"summary":"Get all numberseries","tags":["Store"]}}}}
```

## Add new numberseries

> Add a new numberseries to a tenant.<br>

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"NumberSeriesCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NumberSeriesCreateSchema"}}}}},"schemas":{"NumberSeriesCreateSchema":{"title":"NumberSeriesCreateSchema","type":"object","properties":{"end":{"type":"integer"},"name":{"type":"string"},"start":{"type":"integer"},"type":{"$ref":"#/components/schemas/NumberSeriesTypeENUM"},"numberSeriesUid":{"$ref":"#/components/schemas/UID"}},"required":["end","name","start","type"]},"NumberSeriesTypeENUM":{"enum":["PURCHASE","VOUCHER","SERVICE","INTERNAL_PURCHASE","RMA_ORDER","CUSTOMER_LEDGER"],"title":"NumberSeriesTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"NumberSeriesResponseSchema":{"properties":{"currentValue":{"type":"integer"},"end":{"type":"integer"},"name":{"type":"string"},"numberSeriesUid":{"$ref":"#/components/schemas/UID"},"start":{"type":"integer"},"type":{"$ref":"#/components/schemas/NumberSeriesTypeENUM"}},"required":["numberSeriesUid","name","type","currentValue","end","start"],"title":"NumberSeriesResponseSchema","type":"object"}},"responses":{"NumberSeriesResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NumberSeriesResponseSchema"}}},"description":"Number series response"}}},"paths":{"/tenants/{tenantUid}/number-series":{"post":{"description":"Add a new numberseries to a tenant.\n","operationId":"post-tenants-number-series","requestBody":{"$ref":"#/components/requestBodies/NumberSeriesCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/NumberSeriesResponse"}},"summary":"Add new numberseries","tags":["Store"]}}}}
```

## Get a number serie

> Get a specific numberseries for a tenant.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"NumberSeriesResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NumberSeriesResponseSchema"}}},"description":"Number series response"}},"schemas":{"NumberSeriesResponseSchema":{"properties":{"currentValue":{"type":"integer"},"end":{"type":"integer"},"name":{"type":"string"},"numberSeriesUid":{"$ref":"#/components/schemas/UID"},"start":{"type":"integer"},"type":{"$ref":"#/components/schemas/NumberSeriesTypeENUM"}},"required":["numberSeriesUid","name","type","currentValue","end","start"],"title":"NumberSeriesResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"NumberSeriesTypeENUM":{"enum":["PURCHASE","VOUCHER","SERVICE","INTERNAL_PURCHASE","RMA_ORDER","CUSTOMER_LEDGER"],"title":"NumberSeriesTypeENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/number-series/{numberSeriesUid}":{"get":{"description":"Get a specific numberseries for a tenant.","operationId":"get-tenants-number-series-by-id","responses":{"200":{"$ref":"#/components/responses/NumberSeriesResponse"}},"summary":"Get a number serie","tags":["Store"]}}}}
```

## Update a number series record

> Update numberseries record.<br>

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"NumberSeriesUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NumberSeriesUpdateSchema"}}}}},"schemas":{"NumberSeriesUpdateSchema":{"properties":{"end":{"type":"integer"},"name":{"type":"string"},"start":{"type":"integer"}},"required":["name"],"title":"NumberSeriesUpdateSchema","type":"object"},"NumberSeriesResponseSchema":{"properties":{"currentValue":{"type":"integer"},"end":{"type":"integer"},"name":{"type":"string"},"numberSeriesUid":{"$ref":"#/components/schemas/UID"},"start":{"type":"integer"},"type":{"$ref":"#/components/schemas/NumberSeriesTypeENUM"}},"required":["numberSeriesUid","name","type","currentValue","end","start"],"title":"NumberSeriesResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"NumberSeriesTypeENUM":{"enum":["PURCHASE","VOUCHER","SERVICE","INTERNAL_PURCHASE","RMA_ORDER","CUSTOMER_LEDGER"],"title":"NumberSeriesTypeENUM","type":"string"}},"responses":{"NumberSeriesResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NumberSeriesResponseSchema"}}},"description":"Number series response"}}},"paths":{"/tenants/{tenantUid}/number-series/{numberSeriesUid}":{"put":{"description":"Update numberseries record.\n","operationId":"put-tenants-number-series-by-id","requestBody":{"$ref":"#/components/requestBodies/NumberSeriesUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/NumberSeriesResponse"}},"summary":"Update a number series record","tags":["Store"]}}}}
```

## List stores

> List all stores.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"storeExternalIdQuery":{"description":"External reference to a store.","in":"query","name":"storeExternalId","required":false,"schema":{"type":"string"}},"storeNameQuery":{"description":"Reference to the name of a store.","in":"query","name":"storeName","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"storeOrganizationUidQuery":{"description":"Reference to an organization uid.","in":"query","name":"storeOrganizationUid","required":false,"schema":{"type":"string"}}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StoreResponseSchema":{"title":"StoreResponseSchema","type":"object","required":["address","city","countryCode","createdAt","defaultWarehouseUid","defaultReturnWarehouseUid","defaultDeliveryWarehouseUid","email","externalId","isActive","lastModifiedAt","latitude","longitude","name","postalCode","phone","purchaseNumberSeriesUid","internalPurchaseNumberSeriesUid","rmaOrderNumberSeriesUid","customerLedgerNumberSeriesUid","quicksaleCategoryUid","receiptMessage","emailReceiptMessage","exchangenoteMessage","exchangenoteValidDays","salesPriceUid","settings","storeUid","vatNumber","voucherNumberSeriesUid","serviceNumberSeriesUid","hasWorkShop","organizationUid","availableExtensions","openingHours","bankInfo","websiteUrl"],"properties":{"address":{"type":"string"},"bankAccountNumber":{"type":"string","deprecated":true},"city":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"defaultWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultReturnWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultDeliveryWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"isActive":{"type":"boolean"},"lastModifiedAt":{"format":"date-time","type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"postalCode":{"type":"string"},"phone":{"type":"string"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"quicksaleCategoryUid":{"$ref":"#/components/schemas/OptionalUID"},"receiptMessage":{"type":"string"},"emailReceiptMessage":{"type":"string"},"exchangenoteMessage":{"type":"string"},"exchangenoteValidDays":{"type":"integer","description":"Number of days an exchangenote is valid."},"salesPriceUid":{"$ref":"#/components/schemas/OptionalUID"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/StoreSettingSchema"}},"storeUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"serviceNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"hasWorkShop":{"type":"boolean","default":false},"organizationUid":{"$ref":"#/components/schemas/UID"},"availableExtensions":{"type":"array","items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"openingHours":{"$ref":"#/components/schemas/OpeningHoursResponseSchema"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"websiteUrl":{"type":"string"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"EmailTYPE":{"title":"Email","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StoreSettingSchema":{"description":"","properties":{"key":{"$ref":"#/components/schemas/StoreSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"StoreSettingSchema","type":"object"},"StoreSettingKeyENUM":{"description":"","enum":["VIPPS_MSN","ADYEN_API_KEY"],"title":"StoreSettingKey","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"OpeningHoursResponseSchema":{"title":"OpeningHoursResponseSchema","type":"object","properties":{"monday":{"type":"string"},"tuesday":{"type":"string"},"wednesday":{"type":"string"},"thursday":{"type":"string"},"friday":{"type":"string"},"saturday":{"type":"string"},"sunday":{"type":"string"},"note":{"type":"string"}},"required":["monday","tuesday","wednesday","thursday","friday","saturday","sunday","note"]},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StoreListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StoreResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores":{"get":{"description":"List all stores.","operationId":"get-tenants-stores","parameters":[{"$ref":"#/components/parameters/storeExternalIdQuery"},{"$ref":"#/components/parameters/storeNameQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/storeOrganizationUidQuery"}],"responses":{"200":{"$ref":"#/components/responses/StoreListResponse"}},"summary":"List stores","tags":["Store"]}}}}
```

## Create a new store

> Creates a new store.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StoreCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreCreateRequestSchema"}}}}},"schemas":{"StoreCreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/StoreUpdateRequestSchema"},{"properties":{"storeUid":{"$ref":"#/components/schemas/UID"},"organizationUid":{"$ref":"#/components/schemas/UID"},"name":{"type":"string"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/UID"}},"required":["organizationUid","name","voucherNumberSeriesUid","purchaseNumberSeriesUid"]}],"title":"StoreCreateRequestSchema","type":"object"},"StoreUpdateRequestSchema":{"title":"StoreUpdateRequestSchema","type":"object","properties":{"address":{"type":"string"},"bankAccountNumber":{"type":"string","deprecated":true},"city":{"type":"string"},"countryCode":{"type":"string"},"defaultReturnWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultDeliveryWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"isActive":{"type":"boolean"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"quicksaleCategoryUid":{"$ref":"#/components/schemas/OptionalUID"},"receiptMessage":{"type":"string"},"emailReceiptMessage":{"type":"string"},"exchangenoteMessage":{"type":"string"},"exchangenoteValidDays":{"type":"integer","description":"Number of days an exchangenote is valid."},"salesPriceUid":{"$ref":"#/components/schemas/OptionalUID"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/StoreSettingSchema"}},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"hasWorkshop":{"type":"boolean","default":false},"organizationUid":{"$ref":"#/components/schemas/OptionalUID"},"serviceNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"openingHours":{"$ref":"#/components/schemas/OpeningHoursRequestSchema"},"bankInfo":{"$ref":"#/components/schemas/BankInfoRequestSchema"},"websiteUrl":{"type":"string"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"EmailTYPE":{"title":"Email","type":"string"},"StoreSettingSchema":{"description":"","properties":{"key":{"$ref":"#/components/schemas/StoreSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"StoreSettingSchema","type":"object"},"StoreSettingKeyENUM":{"description":"","enum":["VIPPS_MSN","ADYEN_API_KEY"],"title":"StoreSettingKey","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"OpeningHoursRequestSchema":{"title":"OpeningHoursRequestSchema","type":"object","properties":{"monday":{"type":"string"},"tuesday":{"type":"string"},"wednesday":{"type":"string"},"thursday":{"type":"string"},"friday":{"type":"string"},"saturday":{"type":"string"},"sunday":{"type":"string"},"note":{"type":"string"}}},"BankInfoRequestSchema":{"title":"BankInfoSchema","type":"object","properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StoreResponseSchema":{"title":"StoreResponseSchema","type":"object","required":["address","city","countryCode","createdAt","defaultWarehouseUid","defaultReturnWarehouseUid","defaultDeliveryWarehouseUid","email","externalId","isActive","lastModifiedAt","latitude","longitude","name","postalCode","phone","purchaseNumberSeriesUid","internalPurchaseNumberSeriesUid","rmaOrderNumberSeriesUid","customerLedgerNumberSeriesUid","quicksaleCategoryUid","receiptMessage","emailReceiptMessage","exchangenoteMessage","exchangenoteValidDays","salesPriceUid","settings","storeUid","vatNumber","voucherNumberSeriesUid","serviceNumberSeriesUid","hasWorkShop","organizationUid","availableExtensions","openingHours","bankInfo","websiteUrl"],"properties":{"address":{"type":"string"},"bankAccountNumber":{"type":"string","deprecated":true},"city":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"defaultWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultReturnWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultDeliveryWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"isActive":{"type":"boolean"},"lastModifiedAt":{"format":"date-time","type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"postalCode":{"type":"string"},"phone":{"type":"string"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"quicksaleCategoryUid":{"$ref":"#/components/schemas/OptionalUID"},"receiptMessage":{"type":"string"},"emailReceiptMessage":{"type":"string"},"exchangenoteMessage":{"type":"string"},"exchangenoteValidDays":{"type":"integer","description":"Number of days an exchangenote is valid."},"salesPriceUid":{"$ref":"#/components/schemas/OptionalUID"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/StoreSettingSchema"}},"storeUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"serviceNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"hasWorkShop":{"type":"boolean","default":false},"organizationUid":{"$ref":"#/components/schemas/UID"},"availableExtensions":{"type":"array","items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"openingHours":{"$ref":"#/components/schemas/OpeningHoursResponseSchema"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"websiteUrl":{"type":"string"}}},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"OpeningHoursResponseSchema":{"title":"OpeningHoursResponseSchema","type":"object","properties":{"monday":{"type":"string"},"tuesday":{"type":"string"},"wednesday":{"type":"string"},"thursday":{"type":"string"},"friday":{"type":"string"},"saturday":{"type":"string"},"sunday":{"type":"string"},"note":{"type":"string"}},"required":["monday","tuesday","wednesday","thursday","friday","saturday","sunday","note"]},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}}},"responses":{"StoreResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores":{"post":{"description":"Creates a new store.","operationId":"post-tenants-stores","requestBody":{"$ref":"#/components/requestBodies/StoreCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/StoreResponse"}},"summary":"Create a new store","tags":["Store"]}}}}
```

## Get store details

> Get details for a store.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StoreResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreResponseSchema"}}},"description":"Example response"}},"schemas":{"StoreResponseSchema":{"title":"StoreResponseSchema","type":"object","required":["address","city","countryCode","createdAt","defaultWarehouseUid","defaultReturnWarehouseUid","defaultDeliveryWarehouseUid","email","externalId","isActive","lastModifiedAt","latitude","longitude","name","postalCode","phone","purchaseNumberSeriesUid","internalPurchaseNumberSeriesUid","rmaOrderNumberSeriesUid","customerLedgerNumberSeriesUid","quicksaleCategoryUid","receiptMessage","emailReceiptMessage","exchangenoteMessage","exchangenoteValidDays","salesPriceUid","settings","storeUid","vatNumber","voucherNumberSeriesUid","serviceNumberSeriesUid","hasWorkShop","organizationUid","availableExtensions","openingHours","bankInfo","websiteUrl"],"properties":{"address":{"type":"string"},"bankAccountNumber":{"type":"string","deprecated":true},"city":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"defaultWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultReturnWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultDeliveryWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"isActive":{"type":"boolean"},"lastModifiedAt":{"format":"date-time","type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"postalCode":{"type":"string"},"phone":{"type":"string"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"quicksaleCategoryUid":{"$ref":"#/components/schemas/OptionalUID"},"receiptMessage":{"type":"string"},"emailReceiptMessage":{"type":"string"},"exchangenoteMessage":{"type":"string"},"exchangenoteValidDays":{"type":"integer","description":"Number of days an exchangenote is valid."},"salesPriceUid":{"$ref":"#/components/schemas/OptionalUID"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/StoreSettingSchema"}},"storeUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"serviceNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"hasWorkShop":{"type":"boolean","default":false},"organizationUid":{"$ref":"#/components/schemas/UID"},"availableExtensions":{"type":"array","items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"openingHours":{"$ref":"#/components/schemas/OpeningHoursResponseSchema"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"websiteUrl":{"type":"string"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"EmailTYPE":{"title":"Email","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StoreSettingSchema":{"description":"","properties":{"key":{"$ref":"#/components/schemas/StoreSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"StoreSettingSchema","type":"object"},"StoreSettingKeyENUM":{"description":"","enum":["VIPPS_MSN","ADYEN_API_KEY"],"title":"StoreSettingKey","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"OpeningHoursResponseSchema":{"title":"OpeningHoursResponseSchema","type":"object","properties":{"monday":{"type":"string"},"tuesday":{"type":"string"},"wednesday":{"type":"string"},"thursday":{"type":"string"},"friday":{"type":"string"},"saturday":{"type":"string"},"sunday":{"type":"string"},"note":{"type":"string"}},"required":["monday","tuesday","wednesday","thursday","friday","saturday","sunday","note"]},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}":{"get":{"description":"Get details for a store.","operationId":"get-tenants-stores-details","responses":{"200":{"$ref":"#/components/responses/StoreResponse"}},"summary":"Get store details","tags":["Store"]}}}}
```

## Update store details

> Update details for a store. Partial updates are allowed.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StoreUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreUpdateRequestSchema"}}}}},"schemas":{"StoreUpdateRequestSchema":{"title":"StoreUpdateRequestSchema","type":"object","properties":{"address":{"type":"string"},"bankAccountNumber":{"type":"string","deprecated":true},"city":{"type":"string"},"countryCode":{"type":"string"},"defaultReturnWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultDeliveryWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"isActive":{"type":"boolean"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"phone":{"type":"string"},"postalCode":{"type":"string"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"quicksaleCategoryUid":{"$ref":"#/components/schemas/OptionalUID"},"receiptMessage":{"type":"string"},"emailReceiptMessage":{"type":"string"},"exchangenoteMessage":{"type":"string"},"exchangenoteValidDays":{"type":"integer","description":"Number of days an exchangenote is valid."},"salesPriceUid":{"$ref":"#/components/schemas/OptionalUID"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/StoreSettingSchema"}},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"hasWorkshop":{"type":"boolean","default":false},"organizationUid":{"$ref":"#/components/schemas/OptionalUID"},"serviceNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"openingHours":{"$ref":"#/components/schemas/OpeningHoursRequestSchema"},"bankInfo":{"$ref":"#/components/schemas/BankInfoRequestSchema"},"websiteUrl":{"type":"string"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"EmailTYPE":{"title":"Email","type":"string"},"StoreSettingSchema":{"description":"","properties":{"key":{"$ref":"#/components/schemas/StoreSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"StoreSettingSchema","type":"object"},"StoreSettingKeyENUM":{"description":"","enum":["VIPPS_MSN","ADYEN_API_KEY"],"title":"StoreSettingKey","type":"string"},"VatNumberTYPE":{"description":"VAT identification number for value added tax reporting purposes.","title":"VatNumber","type":"string"},"OpeningHoursRequestSchema":{"title":"OpeningHoursRequestSchema","type":"object","properties":{"monday":{"type":"string"},"tuesday":{"type":"string"},"wednesday":{"type":"string"},"thursday":{"type":"string"},"friday":{"type":"string"},"saturday":{"type":"string"},"sunday":{"type":"string"},"note":{"type":"string"}}},"BankInfoRequestSchema":{"title":"BankInfoSchema","type":"object","properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}},"StoreResponseSchema":{"title":"StoreResponseSchema","type":"object","required":["address","city","countryCode","createdAt","defaultWarehouseUid","defaultReturnWarehouseUid","defaultDeliveryWarehouseUid","email","externalId","isActive","lastModifiedAt","latitude","longitude","name","postalCode","phone","purchaseNumberSeriesUid","internalPurchaseNumberSeriesUid","rmaOrderNumberSeriesUid","customerLedgerNumberSeriesUid","quicksaleCategoryUid","receiptMessage","emailReceiptMessage","exchangenoteMessage","exchangenoteValidDays","salesPriceUid","settings","storeUid","vatNumber","voucherNumberSeriesUid","serviceNumberSeriesUid","hasWorkShop","organizationUid","availableExtensions","openingHours","bankInfo","websiteUrl"],"properties":{"address":{"type":"string"},"bankAccountNumber":{"type":"string","deprecated":true},"city":{"type":"string"},"countryCode":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"defaultWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultReturnWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"defaultDeliveryWarehouseUid":{"$ref":"#/components/schemas/OptionalUID"},"email":{"$ref":"#/components/schemas/EmailTYPE"},"externalId":{"type":"string"},"isActive":{"type":"boolean"},"lastModifiedAt":{"format":"date-time","type":"string"},"latitude":{"type":"number"},"longitude":{"type":"number"},"name":{"type":"string"},"postalCode":{"type":"string"},"phone":{"type":"string"},"purchaseNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"internalPurchaseNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"rmaOrderNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"customerLedgerNumberSeriesUid":{"$ref":"#/components/schemas/OptionalUID"},"quicksaleCategoryUid":{"$ref":"#/components/schemas/OptionalUID"},"receiptMessage":{"type":"string"},"emailReceiptMessage":{"type":"string"},"exchangenoteMessage":{"type":"string"},"exchangenoteValidDays":{"type":"integer","description":"Number of days an exchangenote is valid."},"salesPriceUid":{"$ref":"#/components/schemas/OptionalUID"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/StoreSettingSchema"}},"storeUid":{"$ref":"#/components/schemas/UID"},"vatNumber":{"$ref":"#/components/schemas/VatNumberTYPE"},"voucherNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"serviceNumberSeriesUid":{"$ref":"#/components/schemas/UID"},"hasWorkShop":{"type":"boolean","default":false},"organizationUid":{"$ref":"#/components/schemas/UID"},"availableExtensions":{"type":"array","items":{"$ref":"#/components/schemas/AvailableExtensionSchema"}},"openingHours":{"$ref":"#/components/schemas/OpeningHoursResponseSchema"},"bankInfo":{"$ref":"#/components/schemas/BankInfoResponseSchema"},"websiteUrl":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"AvailableExtensionSchema":{"title":"AvailableExtensionSchema","type":"object","required":["extensionCode","name"],"properties":{"extensionCode":{"$ref":"#/components/schemas/ExtensionCodeENUM"},"name":{"type":"string"}}},"ExtensionCodeENUM":{"enum":["FLOWGIFTCARD","ADYEN_POS","PAYEX_POS","VIPPS","EXTERNAL_CUSTOMER_SEARCH","STORE_CREDIT","SMS","STRIPE","NETS","VERIFONE","SERVICE_WORKSHOP","TWO_INVOICE","FOREIGN_CASH","OMNIUM","DILLER","ARTS","CAMPAIGN","B2B","PEOPLE_COUNTER_KUNDETELLING","COMPENSATION","SWISH","DINTERO","KID","EHF","POWER","BRITANNIA"],"title":"ExtensionCodeENUM","type":"string"},"OpeningHoursResponseSchema":{"title":"OpeningHoursResponseSchema","type":"object","properties":{"monday":{"type":"string"},"tuesday":{"type":"string"},"wednesday":{"type":"string"},"thursday":{"type":"string"},"friday":{"type":"string"},"saturday":{"type":"string"},"sunday":{"type":"string"},"note":{"type":"string"}},"required":["monday","tuesday","wednesday","thursday","friday","saturday","sunday","note"]},"BankInfoResponseSchema":{"title":"BankInfoResponseSchema","type":"object","required":["accountNumber","bankName","iban","swift"],"properties":{"accountNumber":{"type":"string"},"bankName":{"type":"string"},"iban":{"type":"string"},"swift":{"type":"string"}}}},"responses":{"StoreResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}":{"put":{"description":"Update details for a store. Partial updates are allowed.","operationId":"put-tenants-stores-details","requestBody":{"$ref":"#/components/requestBodies/StoreUpdateRequest"},"responses":{"201":{"$ref":"#/components/responses/StoreResponse"}},"summary":"Update store details","tags":["Store"]}}}}
```

## Delete a store

> Deletes a store.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}":{"delete":{"description":"Deletes a store.","operationId":"delete-tenants-stores-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a store","tags":["Store"]}}}}
```

## Get Till by token information

> Get till information by token information

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"responses":{"TillResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillResponseSchema"}}},"description":"Example response"}},"schemas":{"TillResponseSchema":{"title":"TillResponseSchema","type":"object","required":["barcodePrinter","cashDrawer","createdAt","deviceIdentifier","lastModifiedAt","lastOrderUid","lastOrderNumber","name","paymentTerminal","receiptPrinter","regularPrinter","settings","tillUid","tillNumber","appSettings"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"deviceIdentifier":{"type":"string","nullable":true},"lastModifiedAt":{"format":"date-time","type":"string"},"lastOrderUid":{"$ref":"#/components/schemas/UID"},"lastOrderNumber":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillUid":{"$ref":"#/components/schemas/UID"},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillPaymentTerminalENUM":{"enum":["NONE","ADYEN","PAYEX","STRIPE","NETS","VERIFONE"],"title":"TillPaymentTerminalENUM","type":"string"},"TillSettingSchema":{"description":"Till specific settings","properties":{"key":{"$ref":"#/components/schemas/TillSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"TillSettingSchema","type":"object"},"TillSettingKeyENUM":{"enum":["STRIPE_TERMINAL_ID","ADYEN_POS_TERMINAL_ID","PAYEX_TERMINAL_IP","PAYEX_TERMINAL_PORT","PAYEX_COMMAND_QUEUE","NETS_TERMINAL_ID","VERIFONE_TERMINAL_POI_ID"],"title":"TillSettingKeyENUM","type":"string"},"TillAppSettingsSchema":{"title":"TillAppSettingsSchema","type":"object","description":"Application specific settings","required":["saleStopAtDelivery","autoLogout","touchMode"],"properties":{"saleStopAtDelivery":{"type":"boolean","description":"Stop in the delivery field for each product line during sale"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}},"TillTouchModeENUM":{"title":"TillTouchModeENUM","type":"string","enum":["UNAVAILABLE","ALWAYS","OPTIONAL_ON","OPTIONAL_OFF"]}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/till":{"get":{"description":"Get till information by token information","operationId":"get-tenants-stores-till","parameters":[],"responses":{"200":{"$ref":"#/components/responses/TillResponse"},"404":{"description":"Not Found"}},"summary":"Get Till by token information","tags":["Store"]}}}}
```

## Get till status details by token information

> Get till status by using token information

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"responses":{"TillCashReportResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillCashReportResponseSchema"}}},"description":"Example response"}},"schemas":{"TillCashReportResponseSchema":{"description":" Cash report for a till","title":"TillCashReportResponseSchema","type":"object","properties":{"bankdepositAmount":{"type":"integer","nullable":true},"bankdepositReference":{"type":"string"},"cashDifferenceAmount":{"description":"The cash difference amount.  \nCalculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)","type":"integer"},"cashRevenueAmount":{"description":"After the till is closed the cash revenue will be calculated in this field","type":"integer"},"cashreportUid":{"$ref":"#/components/schemas/UID"},"changeAmount":{"type":"integer"},"closedAt":{"format":"date-time","type":"string","nullable":true},"closedByDisplayName":{"type":"string"},"comment":{"type":"string"},"countedAmount":{"type":"integer","nullable":true},"openAt":{"format":"date-time","type":"string"},"openByDisplayName":{"type":"string"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"withdrawalAmount":{"type":"integer","nullable":true},"cashDetailsAtOpen":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}},"cashDetailsAtClose":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["bankdepositAmount","bankdepositReference","cashDifferenceAmount","cashRevenueAmount","cashreportUid","changeAmount","closedAt","closedByDisplayName","comment","countedAmount","openAt","openByDisplayName","status","withdrawalAmount"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillStatusENUM":{"enum":["OPEN","CLOSED"],"title":"TillStatus","type":"string"},"CashDetailSchema":{"title":"CashDetailSchema","type":"object","properties":{"currencyCode":{"type":"string"},"denomination":{"type":"integer"},"material":{"$ref":"#/components/schemas/CurrencyDenominationMaterialENUM"},"quantityCounted":{"type":"integer"},"amount":{"type":"integer"}},"required":["currencyCode","denomination","material","quantityCounted","amount"]},"CurrencyDenominationMaterialENUM":{"description":"","enum":["COIN","NOTE"],"title":"CurrencyDenominationMaterialENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/till/status":{"get":{"description":"Get till status by using token information","operationId":"get-tenants-stores-till-status","responses":{"200":{"$ref":"#/components/responses/TillCashReportResponse"}},"summary":"Get till status details by token information","tags":["Store"]}}}}
```

## Set a new till status by token information

> Set a new till status by token information

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"requestBodies":{"TillStatusRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillStatusRequestSchema"}}}}},"schemas":{"TillStatusRequestSchema":{"title":"TillStatusRequestSchema","type":"object","properties":{"bankdepositAmount":{"description":"The amount that should be withdrawed from the till and deposited to night safe when the till is closed.","type":"integer"},"bankdepositReference":{"description":"An optional reference to the bank deposit","type":"string"},"cashAmount":{"description":"When the till is opened this is the change amount.\nWhen the till is closed this is the counted amount","type":"integer"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"cashDetails":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["status"]},"TillStatusENUM":{"enum":["OPEN","CLOSED"],"title":"TillStatus","type":"string"},"CashDetailSchema":{"title":"CashDetailSchema","type":"object","properties":{"currencyCode":{"type":"string"},"denomination":{"type":"integer"},"material":{"$ref":"#/components/schemas/CurrencyDenominationMaterialENUM"},"quantityCounted":{"type":"integer"},"amount":{"type":"integer"}},"required":["currencyCode","denomination","material","quantityCounted","amount"]},"CurrencyDenominationMaterialENUM":{"description":"","enum":["COIN","NOTE"],"title":"CurrencyDenominationMaterialENUM","type":"string"},"TillCashReportResponseSchema":{"description":" Cash report for a till","title":"TillCashReportResponseSchema","type":"object","properties":{"bankdepositAmount":{"type":"integer","nullable":true},"bankdepositReference":{"type":"string"},"cashDifferenceAmount":{"description":"The cash difference amount.  \nCalculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)","type":"integer"},"cashRevenueAmount":{"description":"After the till is closed the cash revenue will be calculated in this field","type":"integer"},"cashreportUid":{"$ref":"#/components/schemas/UID"},"changeAmount":{"type":"integer"},"closedAt":{"format":"date-time","type":"string","nullable":true},"closedByDisplayName":{"type":"string"},"comment":{"type":"string"},"countedAmount":{"type":"integer","nullable":true},"openAt":{"format":"date-time","type":"string"},"openByDisplayName":{"type":"string"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"withdrawalAmount":{"type":"integer","nullable":true},"cashDetailsAtOpen":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}},"cashDetailsAtClose":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["bankdepositAmount","bankdepositReference","cashDifferenceAmount","cashRevenueAmount","cashreportUid","changeAmount","closedAt","closedByDisplayName","comment","countedAmount","openAt","openByDisplayName","status","withdrawalAmount"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"TillCashReportResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillCashReportResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/till/status":{"post":{"description":"Set a new till status by token information","operationId":"post-tenants-stores-till-status","requestBody":{"$ref":"#/components/requestBodies/TillStatusRequest"},"responses":{"200":{"$ref":"#/components/responses/TillCashReportResponse"}},"summary":"Set a new till status by token information","tags":["Store"]}}}}
```

## List tills

> Lists all tills.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"TillResponseSchema":{"title":"TillResponseSchema","type":"object","required":["barcodePrinter","cashDrawer","createdAt","deviceIdentifier","lastModifiedAt","lastOrderUid","lastOrderNumber","name","paymentTerminal","receiptPrinter","regularPrinter","settings","tillUid","tillNumber","appSettings"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"deviceIdentifier":{"type":"string","nullable":true},"lastModifiedAt":{"format":"date-time","type":"string"},"lastOrderUid":{"$ref":"#/components/schemas/UID"},"lastOrderNumber":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillUid":{"$ref":"#/components/schemas/UID"},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillPaymentTerminalENUM":{"enum":["NONE","ADYEN","PAYEX","STRIPE","NETS","VERIFONE"],"title":"TillPaymentTerminalENUM","type":"string"},"TillSettingSchema":{"description":"Till specific settings","properties":{"key":{"$ref":"#/components/schemas/TillSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"TillSettingSchema","type":"object"},"TillSettingKeyENUM":{"enum":["STRIPE_TERMINAL_ID","ADYEN_POS_TERMINAL_ID","PAYEX_TERMINAL_IP","PAYEX_TERMINAL_PORT","PAYEX_COMMAND_QUEUE","NETS_TERMINAL_ID","VERIFONE_TERMINAL_POI_ID"],"title":"TillSettingKeyENUM","type":"string"},"TillAppSettingsSchema":{"title":"TillAppSettingsSchema","type":"object","description":"Application specific settings","required":["saleStopAtDelivery","autoLogout","touchMode"],"properties":{"saleStopAtDelivery":{"type":"boolean","description":"Stop in the delivery field for each product line during sale"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}},"TillTouchModeENUM":{"title":"TillTouchModeENUM","type":"string","enum":["UNAVAILABLE","ALWAYS","OPTIONAL_ON","OPTIONAL_OFF"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"TillListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TillResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills":{"get":{"description":"Lists all tills.","operationId":"get-tenants-stores-tills","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/TillListResponse"}},"summary":"List tills","tags":["Store"]}}}}
```

## Create a new till

> Creates a new till.\
> Access required: STORE ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TillCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillCreateSchema"}}}}},"schemas":{"TillCreateSchema":{"description":"Create a new till","title":"TillCreateSchema","type":"object","required":["name","tillNumber"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillNumber":{"type":"integer"},"tillUid":{"$ref":"#/components/schemas/UID"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsUpdateSchema"}}},"TillPaymentTerminalENUM":{"enum":["NONE","ADYEN","PAYEX","STRIPE","NETS","VERIFONE"],"title":"TillPaymentTerminalENUM","type":"string"},"TillSettingSchema":{"description":"Till specific settings","properties":{"key":{"$ref":"#/components/schemas/TillSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"TillSettingSchema","type":"object"},"TillSettingKeyENUM":{"enum":["STRIPE_TERMINAL_ID","ADYEN_POS_TERMINAL_ID","PAYEX_TERMINAL_IP","PAYEX_TERMINAL_PORT","PAYEX_COMMAND_QUEUE","NETS_TERMINAL_ID","VERIFONE_TERMINAL_POI_ID"],"title":"TillSettingKeyENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillAppSettingsUpdateSchema":{"title":"TillAppSettingsUpdateSchema","type":"object","properties":{"saleStopAtDelivery":{"type":"boolean"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}},"TillTouchModeENUM":{"title":"TillTouchModeENUM","type":"string","enum":["UNAVAILABLE","ALWAYS","OPTIONAL_ON","OPTIONAL_OFF"]},"TillResponseSchema":{"title":"TillResponseSchema","type":"object","required":["barcodePrinter","cashDrawer","createdAt","deviceIdentifier","lastModifiedAt","lastOrderUid","lastOrderNumber","name","paymentTerminal","receiptPrinter","regularPrinter","settings","tillUid","tillNumber","appSettings"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"deviceIdentifier":{"type":"string","nullable":true},"lastModifiedAt":{"format":"date-time","type":"string"},"lastOrderUid":{"$ref":"#/components/schemas/UID"},"lastOrderNumber":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillUid":{"$ref":"#/components/schemas/UID"},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsSchema"}}},"TillAppSettingsSchema":{"title":"TillAppSettingsSchema","type":"object","description":"Application specific settings","required":["saleStopAtDelivery","autoLogout","touchMode"],"properties":{"saleStopAtDelivery":{"type":"boolean","description":"Stop in the delivery field for each product line during sale"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}}},"responses":{"TillResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills":{"post":{"description":"Creates a new till.\nAccess required: STORE ADMIN","operationId":"post-tenants-stores-tills","requestBody":{"$ref":"#/components/requestBodies/TillCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/TillResponse"}},"summary":"Create a new till","tags":["Store"]}}}}
```

## Get till details

> Get details for a till.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TillResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillResponseSchema"}}},"description":"Example response"}},"schemas":{"TillResponseSchema":{"title":"TillResponseSchema","type":"object","required":["barcodePrinter","cashDrawer","createdAt","deviceIdentifier","lastModifiedAt","lastOrderUid","lastOrderNumber","name","paymentTerminal","receiptPrinter","regularPrinter","settings","tillUid","tillNumber","appSettings"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"deviceIdentifier":{"type":"string","nullable":true},"lastModifiedAt":{"format":"date-time","type":"string"},"lastOrderUid":{"$ref":"#/components/schemas/UID"},"lastOrderNumber":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillUid":{"$ref":"#/components/schemas/UID"},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillPaymentTerminalENUM":{"enum":["NONE","ADYEN","PAYEX","STRIPE","NETS","VERIFONE"],"title":"TillPaymentTerminalENUM","type":"string"},"TillSettingSchema":{"description":"Till specific settings","properties":{"key":{"$ref":"#/components/schemas/TillSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"TillSettingSchema","type":"object"},"TillSettingKeyENUM":{"enum":["STRIPE_TERMINAL_ID","ADYEN_POS_TERMINAL_ID","PAYEX_TERMINAL_IP","PAYEX_TERMINAL_PORT","PAYEX_COMMAND_QUEUE","NETS_TERMINAL_ID","VERIFONE_TERMINAL_POI_ID"],"title":"TillSettingKeyENUM","type":"string"},"TillAppSettingsSchema":{"title":"TillAppSettingsSchema","type":"object","description":"Application specific settings","required":["saleStopAtDelivery","autoLogout","touchMode"],"properties":{"saleStopAtDelivery":{"type":"boolean","description":"Stop in the delivery field for each product line during sale"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}},"TillTouchModeENUM":{"title":"TillTouchModeENUM","type":"string","enum":["UNAVAILABLE","ALWAYS","OPTIONAL_ON","OPTIONAL_OFF"]}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}":{"get":{"description":"Get details for a till.","operationId":"get-tenants-stores-tills-details","responses":{"200":{"$ref":"#/components/responses/TillResponse"}},"summary":"Get till details","tags":["Store"]}}}}
```

## Update till details

> Updates details for a till.\
> Access required: STORE ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TillUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillUpdateSchema"}}}}},"schemas":{"TillUpdateSchema":{"description":"Update till","title":"TillUpdateSchema","type":"object","properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsUpdateSchema"}}},"TillPaymentTerminalENUM":{"enum":["NONE","ADYEN","PAYEX","STRIPE","NETS","VERIFONE"],"title":"TillPaymentTerminalENUM","type":"string"},"TillSettingSchema":{"description":"Till specific settings","properties":{"key":{"$ref":"#/components/schemas/TillSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"TillSettingSchema","type":"object"},"TillSettingKeyENUM":{"enum":["STRIPE_TERMINAL_ID","ADYEN_POS_TERMINAL_ID","PAYEX_TERMINAL_IP","PAYEX_TERMINAL_PORT","PAYEX_COMMAND_QUEUE","NETS_TERMINAL_ID","VERIFONE_TERMINAL_POI_ID"],"title":"TillSettingKeyENUM","type":"string"},"TillAppSettingsUpdateSchema":{"title":"TillAppSettingsUpdateSchema","type":"object","properties":{"saleStopAtDelivery":{"type":"boolean"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}},"TillTouchModeENUM":{"title":"TillTouchModeENUM","type":"string","enum":["UNAVAILABLE","ALWAYS","OPTIONAL_ON","OPTIONAL_OFF"]},"TillResponseSchema":{"title":"TillResponseSchema","type":"object","required":["barcodePrinter","cashDrawer","createdAt","deviceIdentifier","lastModifiedAt","lastOrderUid","lastOrderNumber","name","paymentTerminal","receiptPrinter","regularPrinter","settings","tillUid","tillNumber","appSettings"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"deviceIdentifier":{"type":"string","nullable":true},"lastModifiedAt":{"format":"date-time","type":"string"},"lastOrderUid":{"$ref":"#/components/schemas/UID"},"lastOrderNumber":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillUid":{"$ref":"#/components/schemas/UID"},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillAppSettingsSchema":{"title":"TillAppSettingsSchema","type":"object","description":"Application specific settings","required":["saleStopAtDelivery","autoLogout","touchMode"],"properties":{"saleStopAtDelivery":{"type":"boolean","description":"Stop in the delivery field for each product line during sale"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}}},"responses":{"TillResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}":{"put":{"description":"Updates details for a till.\nAccess required: STORE ADMIN","operationId":"put-tenants-stores-tills-details","requestBody":{"$ref":"#/components/requestBodies/TillUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/TillResponse"}},"summary":"Update till details","tags":["Store"]}}}}
```

## Delete a till

> Deletes a till.\
> Access required: STORE ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}":{"delete":{"description":"Deletes a till.\nAccess required: STORE ADMIN","operationId":"delete-tenants-stores-tills-details","responses":{"204":{"description":"No Content"}},"summary":"Delete a till","tags":["Store"]}}}}
```

## Get cashdrawer status for a till

> Get cashdrawer status for the cashdrawer connect to the current till

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}},"responses":{"CashdrawerStatusSchemaResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashdrawerStatusSchema"}}},"description":"Example response"}},"schemas":{"CashdrawerStatusSchema":{"properties":{"status":{"enum":["OPEN","CLOSED"],"type":"string"}},"required":["status"],"title":"CashdrawerStatusSchema","type":"object"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer":{"get":{"description":"Get cashdrawer status for the cashdrawer connect to the current till","operationId":"get-tenants-stores-tills-cashdrawer","responses":{"200":{"$ref":"#/components/responses/CashdrawerStatusSchemaResponse"},"404":{"description":"Not Found"}},"summary":"Get cashdrawer status for a till","tags":["Store"]}}}}
```

## Open cashdrawer

> Open the cashdrawer for the current till

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashdrawer":{"post":{"description":"Open the cashdrawer for the current till","operationId":"post-tenants-stores-tills-cashdrawer","responses":{"200":{"description":"OK"},"404":{"description":"Not Found"},"406":{"description":"Cashdrawer could not be opened"}},"summary":"Open cashdrawer","tags":["Store"]}}}}
```

## List all cash control reports

> Get a cash report

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"cashreportFromDateQuery":{"description":"Reference to a from-date.","in":"query","name":"cashreportFromDate","schema":{"format":"date","type":"string"},"style":"form"},"cashreportToDateQuery":{"description":"Reference to a to-date.","in":"query","name":"cashreportToDate","schema":{"format":"date","type":"string"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"TillCashReportResponseSchema":{"description":" Cash report for a till","title":"TillCashReportResponseSchema","type":"object","properties":{"bankdepositAmount":{"type":"integer","nullable":true},"bankdepositReference":{"type":"string"},"cashDifferenceAmount":{"description":"The cash difference amount.  \nCalculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)","type":"integer"},"cashRevenueAmount":{"description":"After the till is closed the cash revenue will be calculated in this field","type":"integer"},"cashreportUid":{"$ref":"#/components/schemas/UID"},"changeAmount":{"type":"integer"},"closedAt":{"format":"date-time","type":"string","nullable":true},"closedByDisplayName":{"type":"string"},"comment":{"type":"string"},"countedAmount":{"type":"integer","nullable":true},"openAt":{"format":"date-time","type":"string"},"openByDisplayName":{"type":"string"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"withdrawalAmount":{"type":"integer","nullable":true},"cashDetailsAtOpen":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}},"cashDetailsAtClose":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["bankdepositAmount","bankdepositReference","cashDifferenceAmount","cashRevenueAmount","cashreportUid","changeAmount","closedAt","closedByDisplayName","comment","countedAmount","openAt","openByDisplayName","status","withdrawalAmount"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillStatusENUM":{"enum":["OPEN","CLOSED"],"title":"TillStatus","type":"string"},"CashDetailSchema":{"title":"CashDetailSchema","type":"object","properties":{"currencyCode":{"type":"string"},"denomination":{"type":"integer"},"material":{"$ref":"#/components/schemas/CurrencyDenominationMaterialENUM"},"quantityCounted":{"type":"integer"},"amount":{"type":"integer"}},"required":["currencyCode","denomination","material","quantityCounted","amount"]},"CurrencyDenominationMaterialENUM":{"description":"","enum":["COIN","NOTE"],"title":"CurrencyDenominationMaterialENUM","type":"string"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"TillCashreportListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TillCashReportResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports":{"get":{"description":"Get a cash report","operationId":"get-tenants-stores-tills-cashreports","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/cashreportFromDateQuery"},{"$ref":"#/components/parameters/cashreportToDateQuery"}],"responses":{"200":{"$ref":"#/components/responses/TillCashreportListResponse"}},"summary":"List all cash control reports","tags":["Store"]}}}}
```

## Get a specific cash report

> Get cash control details

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TillCashReportResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillCashReportResponseSchema"}}},"description":"Example response"},"GenericErrorResponse":{"content":{"application/json":{"schema":{"properties":{"code":{"type":"string"},"message":{"type":"string","description":"Error message in the locale you specify in the Accept-Language header or specified on the user"},"logId":{"type":"string","description":"Log identification. Can be used when reporting errors to Flow Solutions"}},"type":"object"}}},"description":"Linking failed. Ther error message will have information about what failed."}},"schemas":{"TillCashReportResponseSchema":{"description":" Cash report for a till","title":"TillCashReportResponseSchema","type":"object","properties":{"bankdepositAmount":{"type":"integer","nullable":true},"bankdepositReference":{"type":"string"},"cashDifferenceAmount":{"description":"The cash difference amount.  \nCalculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)","type":"integer"},"cashRevenueAmount":{"description":"After the till is closed the cash revenue will be calculated in this field","type":"integer"},"cashreportUid":{"$ref":"#/components/schemas/UID"},"changeAmount":{"type":"integer"},"closedAt":{"format":"date-time","type":"string","nullable":true},"closedByDisplayName":{"type":"string"},"comment":{"type":"string"},"countedAmount":{"type":"integer","nullable":true},"openAt":{"format":"date-time","type":"string"},"openByDisplayName":{"type":"string"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"withdrawalAmount":{"type":"integer","nullable":true},"cashDetailsAtOpen":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}},"cashDetailsAtClose":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["bankdepositAmount","bankdepositReference","cashDifferenceAmount","cashRevenueAmount","cashreportUid","changeAmount","closedAt","closedByDisplayName","comment","countedAmount","openAt","openByDisplayName","status","withdrawalAmount"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillStatusENUM":{"enum":["OPEN","CLOSED"],"title":"TillStatus","type":"string"},"CashDetailSchema":{"title":"CashDetailSchema","type":"object","properties":{"currencyCode":{"type":"string"},"denomination":{"type":"integer"},"material":{"$ref":"#/components/schemas/CurrencyDenominationMaterialENUM"},"quantityCounted":{"type":"integer"},"amount":{"type":"integer"}},"required":["currencyCode","denomination","material","quantityCounted","amount"]},"CurrencyDenominationMaterialENUM":{"description":"","enum":["COIN","NOTE"],"title":"CurrencyDenominationMaterialENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}":{"get":{"description":"Get cash control details","operationId":"get-tenants-stores-tills-cashreports-details","responses":{"200":{"$ref":"#/components/responses/TillCashReportResponse"},"404":{"$ref":"#/components/responses/GenericErrorResponse"}},"summary":"Get a specific cash report","tags":["Store"]}}}}
```

## Update cash report

> Update cash report

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"CashReportUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashReportUpdateRequestSchema"}}}}},"schemas":{"CashReportUpdateRequestSchema":{"title":"CashReportUpdateRequestSchema","type":"object","properties":{"comment":{"type":"string"}}},"TillCashReportResponseSchema":{"description":" Cash report for a till","title":"TillCashReportResponseSchema","type":"object","properties":{"bankdepositAmount":{"type":"integer","nullable":true},"bankdepositReference":{"type":"string"},"cashDifferenceAmount":{"description":"The cash difference amount.  \nCalculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)","type":"integer"},"cashRevenueAmount":{"description":"After the till is closed the cash revenue will be calculated in this field","type":"integer"},"cashreportUid":{"$ref":"#/components/schemas/UID"},"changeAmount":{"type":"integer"},"closedAt":{"format":"date-time","type":"string","nullable":true},"closedByDisplayName":{"type":"string"},"comment":{"type":"string"},"countedAmount":{"type":"integer","nullable":true},"openAt":{"format":"date-time","type":"string"},"openByDisplayName":{"type":"string"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"withdrawalAmount":{"type":"integer","nullable":true},"cashDetailsAtOpen":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}},"cashDetailsAtClose":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["bankdepositAmount","bankdepositReference","cashDifferenceAmount","cashRevenueAmount","cashreportUid","changeAmount","closedAt","closedByDisplayName","comment","countedAmount","openAt","openByDisplayName","status","withdrawalAmount"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillStatusENUM":{"enum":["OPEN","CLOSED"],"title":"TillStatus","type":"string"},"CashDetailSchema":{"title":"CashDetailSchema","type":"object","properties":{"currencyCode":{"type":"string"},"denomination":{"type":"integer"},"material":{"$ref":"#/components/schemas/CurrencyDenominationMaterialENUM"},"quantityCounted":{"type":"integer"},"amount":{"type":"integer"}},"required":["currencyCode","denomination","material","quantityCounted","amount"]},"CurrencyDenominationMaterialENUM":{"description":"","enum":["COIN","NOTE"],"title":"CurrencyDenominationMaterialENUM","type":"string"}},"responses":{"TillCashReportResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillCashReportResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}":{"put":{"description":"Update cash report","operationId":"put-tenants-stores-tills-cashreports-details","requestBody":{"$ref":"#/components/requestBodies/CashReportUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/TillCashReportResponse"}},"summary":"Update cash report","tags":["Store"]}}}}
```

## Withdraw or deposit cash at cashdrawer

> Withdraw or deposit cash at cashdrawer&#x20;

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"CashReportWithdrawalRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CashReportWithdrawalRequestSchema"}}}}},"schemas":{"CashReportWithdrawalRequestSchema":{"title":"CashReportWithdrawalRequestSchema","type":"object","properties":{"amount":{"type":"integer"},"comment":{"type":"string"}},"required":["amount","comment"]}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/cashreports/{cashreportUid}/withdrawals":{"post":{"description":"Withdraw or deposit cash at cashdrawer ","operationId":"post-tenants-stores-tills-cashreports-withdrawal","requestBody":{"$ref":"#/components/requestBodies/CashReportWithdrawalRequest"},"responses":{"200":{"description":"OK"}},"summary":"Withdraw or deposit cash at cashdrawer","tags":["Store"]}}}}
```

## Register a device on for a till

> Register a new device to a till.\
> Access required: STORE ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TillDeviceRegisterRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillDeviceRegisterSchema"}}}}},"schemas":{"TillDeviceRegisterSchema":{"description":"","properties":{"deviceIdentifier":{"type":"string"}},"required":["deviceIdentifier"],"title":"TillDeviceRegisterSchema","type":"object"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device":{"post":{"description":"Register a new device to a till.\nAccess required: STORE ADMIN","operationId":"post-tenants-stores-tills-device","parameters":[],"requestBody":{"$ref":"#/components/requestBodies/TillDeviceRegisterRequest"},"responses":{"200":{"description":"OK"}},"summary":"Register a device on for a till","tags":["Store"]}}}}
```

## Remove a device from a till

> Remove a device from a till.\
> Access required: STORE ADMIN

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Accesstoken recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TillResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillResponseSchema"}}},"description":"Example response"}},"schemas":{"TillResponseSchema":{"title":"TillResponseSchema","type":"object","required":["barcodePrinter","cashDrawer","createdAt","deviceIdentifier","lastModifiedAt","lastOrderUid","lastOrderNumber","name","paymentTerminal","receiptPrinter","regularPrinter","settings","tillUid","tillNumber","appSettings"],"properties":{"barcodePrinter":{"type":"string"},"cashDrawer":{"type":"string"},"createdAt":{"format":"date-time","type":"string"},"deviceIdentifier":{"type":"string","nullable":true},"lastModifiedAt":{"format":"date-time","type":"string"},"lastOrderUid":{"$ref":"#/components/schemas/UID"},"lastOrderNumber":{"type":"string"},"name":{"type":"string"},"paymentTerminal":{"$ref":"#/components/schemas/TillPaymentTerminalENUM"},"receiptPrinter":{"type":"string"},"regularPrinter":{"type":"string"},"settings":{"type":"array","items":{"$ref":"#/components/schemas/TillSettingSchema"}},"tillUid":{"$ref":"#/components/schemas/UID"},"tillNumber":{"type":"integer"},"appSettings":{"$ref":"#/components/schemas/TillAppSettingsSchema"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillPaymentTerminalENUM":{"enum":["NONE","ADYEN","PAYEX","STRIPE","NETS","VERIFONE"],"title":"TillPaymentTerminalENUM","type":"string"},"TillSettingSchema":{"description":"Till specific settings","properties":{"key":{"$ref":"#/components/schemas/TillSettingKeyENUM"},"value":{"type":"string"}},"required":["key","value"],"title":"TillSettingSchema","type":"object"},"TillSettingKeyENUM":{"enum":["STRIPE_TERMINAL_ID","ADYEN_POS_TERMINAL_ID","PAYEX_TERMINAL_IP","PAYEX_TERMINAL_PORT","PAYEX_COMMAND_QUEUE","NETS_TERMINAL_ID","VERIFONE_TERMINAL_POI_ID"],"title":"TillSettingKeyENUM","type":"string"},"TillAppSettingsSchema":{"title":"TillAppSettingsSchema","type":"object","description":"Application specific settings","required":["saleStopAtDelivery","autoLogout","touchMode"],"properties":{"saleStopAtDelivery":{"type":"boolean","description":"Stop in the delivery field for each product line during sale"},"autoLogout":{"type":"integer","description":"time in seconds, 0 = disabled, -1 = inherited from tenant"},"touchMode":{"$ref":"#/components/schemas/TillTouchModeENUM"}}},"TillTouchModeENUM":{"title":"TillTouchModeENUM","type":"string","enum":["UNAVAILABLE","ALWAYS","OPTIONAL_ON","OPTIONAL_OFF"]}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/device":{"delete":{"description":"Remove a device from a till.\nAccess required: STORE ADMIN","operationId":"delete-tenants-stores-tills-device","responses":{"200":{"$ref":"#/components/responses/TillResponse"}},"summary":"Remove a device from a till","tags":["Store"]}}}}
```

## Get till status details by tillUid

> Get till status by using token information and storeUid from url

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"Store","description":"Store"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TillCashReportResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TillCashReportResponseSchema"}}},"description":"Example response"}},"schemas":{"TillCashReportResponseSchema":{"description":" Cash report for a till","title":"TillCashReportResponseSchema","type":"object","properties":{"bankdepositAmount":{"type":"integer","nullable":true},"bankdepositReference":{"type":"string"},"cashDifferenceAmount":{"description":"The cash difference amount.  \nCalculation: (countedAmount + withdrawalAmount ) - (changeAmount + cashRevenueAmount)","type":"integer"},"cashRevenueAmount":{"description":"After the till is closed the cash revenue will be calculated in this field","type":"integer"},"cashreportUid":{"$ref":"#/components/schemas/UID"},"changeAmount":{"type":"integer"},"closedAt":{"format":"date-time","type":"string","nullable":true},"closedByDisplayName":{"type":"string"},"comment":{"type":"string"},"countedAmount":{"type":"integer","nullable":true},"openAt":{"format":"date-time","type":"string"},"openByDisplayName":{"type":"string"},"status":{"$ref":"#/components/schemas/TillStatusENUM"},"withdrawalAmount":{"type":"integer","nullable":true},"cashDetailsAtOpen":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}},"cashDetailsAtClose":{"type":"array","items":{"$ref":"#/components/schemas/CashDetailSchema"}}},"required":["bankdepositAmount","bankdepositReference","cashDifferenceAmount","cashRevenueAmount","cashreportUid","changeAmount","closedAt","closedByDisplayName","comment","countedAmount","openAt","openByDisplayName","status","withdrawalAmount"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TillStatusENUM":{"enum":["OPEN","CLOSED"],"title":"TillStatus","type":"string"},"CashDetailSchema":{"title":"CashDetailSchema","type":"object","properties":{"currencyCode":{"type":"string"},"denomination":{"type":"integer"},"material":{"$ref":"#/components/schemas/CurrencyDenominationMaterialENUM"},"quantityCounted":{"type":"integer"},"amount":{"type":"integer"}},"required":["currencyCode","denomination","material","quantityCounted","amount"]},"CurrencyDenominationMaterialENUM":{"description":"","enum":["COIN","NOTE"],"title":"CurrencyDenominationMaterialENUM","type":"string"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/tills/{tillUid}/status":{"get":{"description":"Get till status by using token information and storeUid from url","operationId":"get-tenants-stores-storeid-tills-tillid-status","responses":{"200":{"$ref":"#/components/responses/TillCashReportResponse"}},"summary":"Get till status details by tillUid","tags":["Store"]}}}}
```

## List all visitor records for a list of stores

> List all visitor records for a list of stores

```json
[...]
